export default {
  editContent(store, data) {
    if (!store.state.elements[data.id]) {
      store.commit("addElement", data);
    }

    store.commit("editContent", data);
    store.commit("setCurrentlyEditableContent", null);
    store.commit("setContentTypesOverlayVisibility", false);
  },
  editElement(store, data) {
    store.commit("setCurrentlyEditableContent", data);
    store.state.adapters.callbacks.editContentInstance(
      store.state.elements[
        store.state.sections[data.indexSection].content[data.slotId][
          data.indexSectionBlock
        ]
      ].editUrl
    );
  },
  showContentTypesOverlay(store, data) {
    store.commit("setCurrentlyEditableContent", data);
    store.commit("setContentTypesOverlayVisibility", true);
  },
  closeElementsOverlay(store) {
    store.commit("setCurrentlyEditableContent", null);
    store.commit("setContentTypesOverlayVisibility", false);
  }
};
